section(anchor="TIMING")
  name Timing

  t
    | The Timing service synchronizes all DAQs either to the beam or to
    | periodic events.

  section
    name DIM API

    t The Timing implements the following DIM services:
    table(align='center')
      name Timing services
      thead
        tr #[th Service] #[th Description]
      tbody
        tr
          td Timing
          td #[xref(target="TIMING_Params") Timing configuration]
        tr
          td Timing/event
          td #[xref(target="TIMING_Event") Event information]

    section(anchor="TIMING_Params")
      name Timing Parameters

      t
        | This service is a Parameters Service as described in
        | #[xref(target="dim-xml-extension-01") DIM XML Extension],
        | it is used to configure the Timing service.

      table
        name Timing service parameters
        thead
          tr #[th name] #[th index] #[th description]
        tbody
          tr #[td mode] #[td 1] #[td Timing mode enum parameter]
          tr #[td Calibration trigger repeat] #[td 2] #[td Repeat count for CALIBRATION mode]
          tr #[td Calibration trigger period] #[td 3] #[td Period for CALIBRATION mode in ms]
          tr #[td Calibration trigger pause] #[td 4] #[td Pause for CALIBRATION mode in ms]
          tr #[td Event number] #[td 5] #[td Current event number]
          tr #[td CALIBRATION out enabled] #[td 6] #[td Output channel configuration]
          tr #[td PARASITIC out enabled] #[td 7] #[td Output channel configuration]
          tr #[td PRIMARY out enabled] #[td 8] #[td Output channel configuration]

      figure
        name Timing service parameters example
        sourcecode(type="xml" src="ntof-software-architecture/files/Timing-parameters.xml")

    section(anchor="TIMING_Event")
      name Timing Event

      t
        | This service contains the last timing event information, it is
        | being monitored by services such as the DaqManager.

      figure
        name /Timing/event Service #[xref(target="RELAX_NG") relax-ng compact schema].
        sourcecode(type='rnc' src='ntof-software-architecture/files/Timing-event.rnc')

  section(anchor="TIMING_Calib")
    name Calibration mode

    t
      | The calibration mode generates periodic triggers, using
      | #[xref(target="TIMING_Params") Timing configuration] as follow:
    figure
      name Timing Calibration Mode
      artwork(align='center' type='binary-art' src='ntof-software-architecture/files/Timing-calib.png')
